<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__a2d__m12__cie__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_a2d_m12_cie_t</compoundname>
    <includes local="no">wiced_bt_a2d_m12.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__a2d__m12__cie__t_1a8254c2564a848956ef730984024782f1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_a2d_m12_cie_t::layer</definition>
        <argsstring />
        <name>layer</name>
        <briefdescription>
<para>layers <ref kindref="member" refid="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_LAYER">A2D_M12_LAYER</ref> </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="120" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="120" />
      </memberdef>
      <memberdef id="structwiced__bt__a2d__m12__cie__t_1ac8b2fc63722283e0339577bb292c0dc3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_a2d_m12_cie_t::crc</definition>
        <argsstring />
        <name>crc</name>
        <briefdescription>
<para>Support of CRC protection or not. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="121" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="121" />
      </memberdef>
      <memberdef id="structwiced__bt__a2d__m12__cie__t_1a9d92fb32305d57073bea75dae402fa67" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_a2d_m12_cie_t::ch_mode</definition>
        <argsstring />
        <name>ch_mode</name>
        <briefdescription>
<para>Channel mode <ref kindref="member" refid="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_CH_MD">A2D_M12_CH_MD</ref>. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="122" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="122" />
      </memberdef>
      <memberdef id="structwiced__bt__a2d__m12__cie__t_1a5bb1cc4b431ef0c67dc445f52a73be1e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_a2d_m12_cie_t::mpf</definition>
        <argsstring />
        <name>mpf</name>
        <briefdescription>
<para>1, if MPF-2 is supported. </para>
        </briefdescription>
        <detaileddescription>
<para>0, otherwise </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="123" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="123" />
      </memberdef>
      <memberdef id="structwiced__bt__a2d__m12__cie__t_1ad568d7f773565a6534402f7382dd1846" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_a2d_m12_cie_t::samp_freq</definition>
        <argsstring />
        <name>samp_freq</name>
        <briefdescription>
<para>Sampling frequency <ref kindref="member" refid="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_SF">A2D_M12_SF</ref>. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="124" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="124" />
      </memberdef>
      <memberdef id="structwiced__bt__a2d__m12__cie__t_1ac158324716c30517171fb60bb24aa352" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_a2d_m12_cie_t::vbr</definition>
        <argsstring />
        <name>vbr</name>
        <briefdescription>
<para>Variable Bit Rate. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="125" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="125" />
      </memberdef>
      <memberdef id="structwiced__bt__a2d__m12__cie__t_1a9944080004e31f83acecd3e9a512c694" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_a2d_m12_cie_t::bitrate</definition>
        <argsstring />
        <name>bitrate</name>
        <briefdescription>
<para>Bit rate index <ref kindref="member" refid="group__wicedbt__a2dp__mpeg__1__2_1A2D_M12_BITRATE">A2D_M12_BITRATE</ref>. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="126" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="126" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>data type for the MPEG-1, 2 Audio Codec Information Element </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="127" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" bodystart="118" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_a2d_m12.h" line="119" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__a2d__m12__cie__t_1a9944080004e31f83acecd3e9a512c694" virt="non-virtual"><scope>wiced_bt_a2d_m12_cie_t</scope><name>bitrate</name></member>
      <member prot="public" refid="structwiced__bt__a2d__m12__cie__t_1a9d92fb32305d57073bea75dae402fa67" virt="non-virtual"><scope>wiced_bt_a2d_m12_cie_t</scope><name>ch_mode</name></member>
      <member prot="public" refid="structwiced__bt__a2d__m12__cie__t_1ac8b2fc63722283e0339577bb292c0dc3" virt="non-virtual"><scope>wiced_bt_a2d_m12_cie_t</scope><name>crc</name></member>
      <member prot="public" refid="structwiced__bt__a2d__m12__cie__t_1a8254c2564a848956ef730984024782f1" virt="non-virtual"><scope>wiced_bt_a2d_m12_cie_t</scope><name>layer</name></member>
      <member prot="public" refid="structwiced__bt__a2d__m12__cie__t_1a5bb1cc4b431ef0c67dc445f52a73be1e" virt="non-virtual"><scope>wiced_bt_a2d_m12_cie_t</scope><name>mpf</name></member>
      <member prot="public" refid="structwiced__bt__a2d__m12__cie__t_1ad568d7f773565a6534402f7382dd1846" virt="non-virtual"><scope>wiced_bt_a2d_m12_cie_t</scope><name>samp_freq</name></member>
      <member prot="public" refid="structwiced__bt__a2d__m12__cie__t_1ac158324716c30517171fb60bb24aa352" virt="non-virtual"><scope>wiced_bt_a2d_m12_cie_t</scope><name>vbr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>